ru.bitel.bgbilling.kernel.event.events

## Class ContractAddObjectEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.events.ContractAddObjectEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractAddObjectEvent
      extends QueueEvent

  Асинхронное событие - добавление объекта в договор.
  Событие генерируется после добавления нового объекта в договор. Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractAddObjectEvent()`
    `` | `ContractAddObjectEvent(int userId, ContractObject obj)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractObject` | `getContractObject()` Возвращает добавленный объект к договору

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractAddObjectEvent

          protected ContractAddObjectEvent()

    - #### ContractAddObjectEvent

          public ContractAddObjectEvent(int userId,
                                        ContractObject obj)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `obj` - - объект договора

  - ### Method Detail

    - #### getContractObject

          public ContractObject getContractObject()

      Возвращает добавленный объект к договору
      Returns:
        cobj - объект договораs